<div class="max-w-md mx-auto mt-4 p-6 bg-white rounded-md shadow-md">
  <h2 class="text-xl font-semibold mb-4">Actualizar Cliente</h2>
  <form [formGroup]="formulario">
    <div class="form-group">
      <label class="block text-sm font-medium text-gray-700" for="nombre">Nombre:</label>
      <input type="text"  formControlName="nombre" class="form-control" placeholder="Nombre">
      <div *ngIf="mostrarErrores && formulario.controls['nombre'].invalid" class="text-danger">Nombre es requerido</div>
    </div>
    <div class="form-group">
      <label class="block text-sm font-medium text-gray-700" for="direccion">Dirección:</label>
      <input type="text" formControlName="direccion" class="form-control" placeholder="Dirección">
      <div *ngIf="mostrarErrores && formulario.controls['direccion'].invalid" class="text-danger">Dirección es requerida</div>
    </div>
    <div class="form-group">
      <label class="block text-sm font-medium text-gray-700" for="telefono">Teléfono:</label>
      <input type="text" formControlName="telefono" class="form-control" placeholder="Teléfono">
      <div *ngIf="mostrarErrores && formulario.controls['telefono'].invalid" class="text-danger">Teléfono es requerido</div>
    </div>
    <div class="mt-6" >
      <button (click)="actualizarCliente()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500" type="submit"
      >Actualizar</button>
    </div>
    <div class="mt-6" >
      <button (click)="volverLista()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500" type="submit"
      >Regresar</button>
    </div>

  </form>
</div>
